Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029867
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2015-05-13 13:422015-06-04 11:14
ReportergorkaionView Statuspublic 
Assigned Todbaz 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision4f48ce65dacf
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSLinux 32 bitDatabaseOracleJava version1.5.0_15
OS VersionGentooDatabase version11gAnt version1.7.0
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029867: Grid multiple selection is lost on refresh

DescriptionWhen a grid that have several records selected is refreshed the selection is lost and only the first record of the selection keeps selected.

This happens refreshing the grid manually or after executing a multiple selection process.
Steps To Reproduce1. Go to "Open/Close Period Control" window
2. Select several records and click on "refresh" toolbar button.
3. Only the first record keeps selected.
4. Select again some records and click on "Open/Close Period" button.
5. Execute the process
6. The grid is reloaded and only the first record keeps selected.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00298633.0PR15Q3 closedNaroaIriarte Multiple Selection Process Definition buttons with reference list shows wrong text 

-  Notes
(0077489)
alostale (developer)
2015-05-15 12:31

== Use case ==

In PR15Q1 refresh logic has been redesigned (always taking only into account single selection) [1]

Basically now when refreshing grid having a single record selected, it is requested the page where currently the record is in and in the response the record is selected again if it is in the new page, in case it is not present selection is lost.

The case of multiple selection is a little bit more complex. In the following scenario:
  * grid with 200 records
  * select 1st record
  * scroll down till last record (which is in a different page) and select it
  * refresh

Refresh requests a single page (changing this behavior can seriously damage performance), as selection is spread through different pages, it wouldn't be possible to preserve it.

== Proposed solution ==

Refresh action will continue requesting a single page (the one where there is at least one record selected).

In the response it will try to select again all records that were initially selected, if it is possible, we're done.

If the number of records selected in the response is smaller than the original amount of selected records, the ones that was possible to select will remain as selected and a message informing about partial selection lost will be displayed.



---
[1] http://wiki.openbravo.com/wiki/Projects:Prevent_Unneeded_Grid_Requests%26action/Technical_Specs [^] [^]
(0077879)
hgbot (developer)
2015-05-28 19:51

Repository: erp/devel/pi
Changeset: 4f48ce65dacf82e333d4406b67221e3d0481e162
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Thu May 28 19:51:06 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4f48ce65dacf82e333d4406b67221e3d0481e162 [^]

Fixed issue 29867: Now grid multiple selection is not lost on refresh

If the selected items are in different pages, only the items belonging to the land
page once the grid get refreshed will be shown. A message notifying this loss will
be shown (in the message bar if this is empty or as a popup if there is a message
already been displayed, to avoid loss its information if we come from a process
execution)

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0077887)
hgbot (developer)
2015-05-29 11:18

Repository: erp/devel/pi
Changeset: 535b08878cf723dc58ebc4e6700108dad65d210e
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Fri May 29 11:17:43 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/535b08878cf723dc58ebc4e6700108dad65d210e [^]

Related to issue 29867: grid checkboxes are now selected on refresh
when multiple records were selected

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0077888)
dbaz (developer)
2015-05-29 11:44

Testlink: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-8288 [^]
(0077904)
hudsonbot (developer)
2015-05-29 17:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bd6740e1bbd3 [^]
Maturity status: Test
(0077905)
hudsonbot (developer)
2015-05-29 17:24

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bd6740e1bbd3 [^]
Maturity status: Test
(0078053)
alostale (developer)
2015-06-04 11:14

code reviewed

tested:

* In Country window (sorted by ISO code)

1. Select 1st record and refresh -> selection is kept
2. Select 1st and 2nd records and refresh -> selection is kept
3. Select Andorra, Argentina and Switcherland (all in 1st page) and refresh -> selection is kept
4. Select Mexico (2nd page) and refresh -> selection is kept
5. Select Andorra (1st page) and Mexico (2nd page) and refresh -> Only Andorra is kept and a message is shown

* In Open/Close period window
6. Selection is kept after process execution

- Issue History
Date Modified Username Field Change
2015-05-13 13:42 gorkaion New Issue
2015-05-13 13:42 gorkaion Assigned To => platform
2015-05-13 13:42 gorkaion Modules => Core
2015-05-13 13:42 gorkaion Triggers an Emergency Pack => No
2015-05-13 13:52 gorkaion Relationship added related to 0029863
2015-05-13 16:43 jonalegriaesarte Target Version => 3.0PR15Q3
2015-05-13 18:26 gorkaion Priority normal => immediate
2015-05-15 12:30 alostale Status new => acknowledged
2015-05-15 12:31 alostale Note Added: 0077489
2015-05-19 11:51 alostale Status acknowledged => scheduled
2015-05-19 11:51 alostale Assigned To platform => dbaz
2015-05-28 19:46 dbaz Review Assigned To => alostale
2015-05-28 19:51 hgbot Checkin
2015-05-28 19:51 hgbot Note Added: 0077879
2015-05-28 19:51 hgbot Status scheduled => resolved
2015-05-28 19:51 hgbot Resolution open => fixed
2015-05-28 19:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4f48ce65dacf82e333d4406b67221e3d0481e162 [^]
2015-05-29 11:18 hgbot Checkin
2015-05-29 11:18 hgbot Note Added: 0077887
2015-05-29 11:44 dbaz Note Added: 0077888
2015-05-29 17:24 hudsonbot Checkin
2015-05-29 17:24 hudsonbot Note Added: 0077904
2015-05-29 17:24 hudsonbot Checkin
2015-05-29 17:24 hudsonbot Note Added: 0077905
2015-06-04 11:14 alostale Note Added: 0078053
2015-06-04 11:14 alostale Status resolved => closed
2015-06-04 11:14 alostale Fixed in Version => 3.0PR15Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker